Create agent profile
curl --request POST \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agent-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": "<string>"
}
'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agent-profiles"
payload = {
"name": "<string>",
"config": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', config: '<string>'})
};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agent-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"current_config_id": "<string>",
"current_generation": 123,
"current_config": {
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"effective_definition_hash": "<string>",
"model": {
"provider_config": "<string>",
"name": "<string>",
"provider_model_slug": "<string>",
"configured_model_id": "<string>",
"current_revision_id": "<string>",
"api_format": "openai-responses",
"api_variant": "<string>",
"context_window_tokens": 123,
"max_output_tokens": 123,
"default_cache_retention": "none",
"supports_tools": true,
"supports_reasoning": true,
"default_reasoning_effort": "<string>",
"supported_reasoning_efforts": [
"<string>"
],
"input_modalities": [
"<string>"
],
"output_modalities": [
"<string>"
],
"default_max_output_tokens": 123
},
"created_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"source_format": "yaml",
"compiler_version": "<string>",
"instruction_hash": "<string>",
"warnings": [
{
"message": "<string>",
"code": "missing_recommended_machine_tools"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"current_config_id": "<string>",
"current_generation": 123,
"current_config": {
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"effective_definition_hash": "<string>",
"model": {
"provider_config": "<string>",
"name": "<string>",
"provider_model_slug": "<string>",
"configured_model_id": "<string>",
"current_revision_id": "<string>",
"api_format": "openai-responses",
"api_variant": "<string>",
"context_window_tokens": 123,
"max_output_tokens": 123,
"default_cache_retention": "none",
"supports_tools": true,
"supports_reasoning": true,
"default_reasoning_effort": "<string>",
"supported_reasoning_efforts": [
"<string>"
],
"input_modalities": [
"<string>"
],
"output_modalities": [
"<string>"
],
"default_max_output_tokens": 123
},
"created_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"source_format": "yaml",
"compiler_version": "<string>",
"instruction_hash": "<string>",
"warnings": [
{
"message": "<string>",
"code": "missing_recommended_machine_tools"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Configs and Profiles
Create agent profile
POST
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
agent-profiles
Create agent profile
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Headers
Idempotency key for replay-safe mutating requests.
Required string length:
1 - 255Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Body
application/json
Response
Existing agent profile returned.
Pattern:
^aprf_[a-z2-7]{26}$Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Human-readable name. Spaces and punctuation are allowed; leading or trailing whitespace and invisible or control characters are not.
Required string length:
1 - 64Pattern:
^acfg_[a-z2-7]{26}$Show child attributes
Show child attributes
⌘I